use crate::energy::consumption;
use crate::server::custom_error::HttpResult;
use actix_web::HttpResponse;

#[derive(serde::Serialize)]
struct CurrConsumption {
    consumption: i32,
}

/// Get current energy consumption
pub async fn curr_consumption() -> HttpResult {
    let consumption = consumption::get_curr_consumption().await?;

    Ok(HttpResponse::Ok().json(CurrConsumption { consumption }))
}
